Bug 481661 - segfault whilst transcoding.
segfault whilst transcoding.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: vorbis-tools (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Zdenek Prikryl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-26 16:59 EST by Dave Jones
Modified: 2015-01-04 17:30 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-28 08:12:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2009-01-26 16:59:59 EST
I was transcoding my copy of http://theslip.nin.com/ from flac to oggs, and it crashed after the transcode was complete.

in gdb, this is what I got from the backtrace..

Program received signal SIGSEGV, Segmentation fault.
__libc_free (mem=0x17700c5760002) at malloc.c:3599
3599	  if (chunk_is_mmapped(p))                       /* release mmapped memory. */
(gdb) bt
#0  __libc_free (mem=0x17700c5760002) at malloc.c:3599
#1  0x00000000004023cd in flac_close (info=<value optimized out>) at flac.c:195
#2  0x0000000000403f67 in main (argc=<value optimized out>, argv=<value optimized out>) at oggenc.c:379


The key to the crash is to encode with --resample 44100 
(I need this otherwise my neuros player barfs on the oggs, as it won't play 96KHz oggs.)
Comment 1 Zdenek Prikryl 2009-03-19 05:56:56 EDT
Hello,
I downloaded the first song (01 999,999.flac CD quality) and everything works fine. Could you tell me how do you encode flacs?

Note You need to log in before you can comment on or make changes to this bug.